
package com.sample;

import java.io.Serializable;
import java.util.Calendar;



public class DataObject implements Serializable
{

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;
	
	private Integer paramID;

    private String stringValue;
    
    private Calendar startDate;
    
    private Calendar endDate;
    
    public DataObject()
	{
	}
    
    public DataObject(int id, String val, Calendar startDate, Calendar endDate)
    {
    	    this.paramID = id;
			this.stringValue = val;
			this.startDate = startDate;
			this.endDate = endDate;
   }
 
	/**
	 * @return Returns the stringValue.
	 */
	public String getStringValue()
	{
	    return stringValue;
	}

	/**
	 * @param stringValue The stringValue to set.
	 */
	public void setStringValue(String stringValue)
	{
		this.stringValue = stringValue;
	}
	

	/**
	 * @return Returns the startDate.
	 */
	public Calendar getStartDate()
	{
		return startDate;
	}

	/**
	 * @param startDate The startDate to set.
	 */
	public void setStartDate(Calendar startDate)
	{
		this.startDate = startDate;
	}
	

	/**
	 * @return Returns the endDate.
	 */
	public Calendar getEndDate()
	{
		return endDate;
	}

	/**
	 * @param endDate The endDate to set.
	 */
	public void setEndDate(Calendar endDate)
	{
		this.endDate = endDate;
	}
	
	

	public Integer getParamID() {
		return paramID;
	}

	public void setParamID(Integer paramID) {
		this.paramID = paramID;
	}
	
	public String toString()
	{
		StringBuffer sb = new StringBuffer();
		sb.append("<<")
		.append(paramID).append(", ")
		.append(stringValue).append(", ")
		.append((startDate == null) ? "" : ""+startDate.getTime()).append(", ")
		.append((endDate == null) ? "" : ""+endDate.getTime())
		.append(">>");
		return sb.toString();
	}

}
